Author Topic: [RESOLVED] Compiling Scribus1.5 on Debian Testing from the dedicated Ubuntu PPA  (Read 2171 times)

a.l.e

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1086
  • Country: 00
  • Karma: 17
    • the graphics lab
Re: Issue Compiling Scribus 1.5 src on Debian Testing (Stretch)
« Reply #15 on: October 22, 2015, 07:25:23 am »
sorry, danielsan, you're waisting your time.

that cmake documentation is a very interesting read but it is not what is helping you compiling scribus from source.

the package and all the files in there are correct (or at least you have not proved the contrary until now!) and debian testing *can* compile scribus 1.5 without needing to pull in any external (as not from the provided packages) code.

what you need is to figure out which packages you are missing.

for the cmake command, if you use the one i mentioned in the previous post, it should work.
if you use the one you mentioned in one of your first posts, then it should work, too... even if you will have your scribus in an uncommon place (and not the best one, for my taste)

if it does not work, it means that you are missing some -dev packages.

since you don't want or cannot provide the list of packages you have installed during your tries to get scribus to work, please check at least if qtbase5-dev is installed... since the error seems to be pretty basic and qt5 does not get installed when pulling in the dependencies for the stable scribus.

good luck!
a.l.e

Danielsan

  • Newbie
  • *
  • Posts: 20
  • Karma: 0
  • Scribus User
Re: Issue Compiling Scribus 1.5 src on Debian Testing (Stretch)
« Reply #16 on: October 22, 2015, 07:54:28 pm »
Somebody in the Debian forum suggested to me to try to build a deb package directly from the Ubuntu source available in the Scribus Ubuntu PPA, this is also the better way to discover if there are still lacking some dependencies. I hope to find the time to make a test within a couple of days, thanks.

a.l.e

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1086
  • Country: 00
  • Karma: 17
    • the graphics lab
Re: Issue Compiling Scribus 1.5 src on Debian Testing (Stretch)
« Reply #17 on: October 23, 2015, 10:41:01 am »
yep that could work...
good idea.

i'll also have a look at the ppa and see if it helps creating a list of dependencies!

a.l.e

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1086
  • Country: 00
  • Karma: 17
    • the graphics lab
Re: Issue Compiling Scribus 1.5 src on Debian Testing (Stretch)
« Reply #18 on: October 23, 2015, 11:14:23 am »
i had a look at

https://launchpadlibrarian.net/216817551/scribus-ng_1.5.0-0ubuntu15.10.0~ppa1.dsc

and it says:

Build-Depends:
- cmake (>= 2.4.3),
- debhelper (>= 9),
- gettext,
- libboost-python-dev,
- libcairo2-dev,
- libcdr-dev (>= 0.1),
- libcups2-dev,
- libgraphicsmagick1-dev,
- libhunspell-dev,
- libhyphen-dev,
- liblcms2-dev,
- libmspub-dev (>= 0.1),
- libosgearth-dev [!armel !armhf],
- libpagemaker-dev,
- libpodofo-dev (>= 0.9.0),
- libpoppler-private-dev,
- libpoppler-qt5-dev,
- libqt5opengl5-dev,
- libqt5webkit5-dev,
- librevenge-dev,
- libtiff-dev,
- libvisio-dev (>= 0.1),
- libwpg-dev,
- libxml2-dev (>= 2.6.16),
- python-all-dev (>= 2.6.6-3~),
- qtbase5-dev,
- qttools5-dev,
- qttools5-dev-tools,
- zlib1g-dev

as already said, personally, i would not install
- libosgearth-dev [!armel !armhf],

the following packages do not seem mandatory to me:

- libcdr-dev (>= 0.1),
- libpagemaker-dev,
- libqt5opengl5-dev,
- libvisio-dev (>= 0.1),
- libwpg-dev,

they mostly relate to foreign file formats

and this one seems a bit overkill to me:
- python-all-dev (>= 2.6.6-3~),
you might get along with a smaller collection of python-dev modules :-)

buona fortuna!
a.l.e

Danielsan

  • Newbie
  • *
  • Posts: 20
  • Karma: 0
  • Scribus User
Re: Issue Compiling Scribus 1.5 src on Debian Testing (Stretch)
« Reply #19 on: October 23, 2015, 04:23:32 pm »
Yes I did it, it worked.

These were the missing dependencies:
Code: [Select]
libgraphicsmagick1-dev libhyphen-dev libosgearth-dev libpoppler-private-dev libpoppler-qt5-dev libtiff-dev libwpg-dev python-all-dev
In soldoni ce l'ho fatta. ;-)

a.l.e

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1086
  • Country: 00
  • Karma: 17
    • the graphics lab
Re: Issue Compiling Scribus 1.5 src on Debian Testing (Stretch)
« Reply #20 on: October 23, 2015, 05:00:28 pm »
ottimo! complimenti!

i will keep that list around and i will try not to forget about looking at the PPA, next time!

Danielsan

  • Newbie
  • *
  • Posts: 20
  • Karma: 0
  • Scribus User
Re: Issue Compiling Scribus 1.5 src on Debian Testing (Stretch)
« Reply #21 on: October 23, 2015, 09:39:56 pm »
I would summarize:

1) Installing the right tools: packaging-dev, devscripts and build-essential

2) Download these two closer package to your Debian (remember that Ubuntu is based on a snapshot of Debian Sid), as I am using Debian Testing (Stretch) I downloaded these two: scribus-ng_1.5.0-0ubuntu15.10.0~ppa1.debian.tar.xz and scribus-ng_1.5.0.orig.tar.xz.

3) Extract as first scribus-ng-1.5.0.orig...tar.xz move scribus-ng_1.5.0-0ubuntu...tar.xz inside it and extract this one as well. Open a terminal inside the Scribus folder and launch the build command: debuild -uc -us. If there are missing dependencies those will be shown, in case install them and reissue the build command. IMPORTANT: the compiling may take several time, on my "crappy" laptop took around 4/5 hours.

4) When it is finished you will find the packages in the upper folder, they are named as ubuntu packages but are compiled for your Debian. I don't know how to change the names, probably there is a file able to do that if modified, anyway it doesn't matter, the build command creates 4 packages scribus, scribus-data, scribus-doc and scribus-dbg; in order to use Scribus you need to install just the first two.

Enjoy Scribus 1.5 on your Debian!

Kunda

  • Administrator
  • Full Member
  • *****
  • Posts: 218
  • Karma: 2
  • Scribus User
Glad it worked out.
Would you be interested in writing up your experience ? Perhaps adding to the wiki ?
Cheers,
Kunda

a.l.e

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1086
  • Country: 00
  • Karma: 17
    • the graphics lab
@danielsan

the idea is the good one, but you don't need to take apart the PPA file to get to that information... it's freely available at the link i posted above!

so the points are

1) Instal build-essential

2) Read the .dsc file on the launchpad website:

  - Go to the "Scribus Team" page on Launchpad: https://launchpad.net/~scribus
  - Click on "PPA for Scribus friends" and then click on "View package details"
  - You should get a list of "Source" packages. Click on the latest "scribus-trunk" package
  - A the end of the page you should see a list of "Package files"
  - Click on the link to the .dsc file and you will see a text file

3) In the .dsc file, the "Build depends" section tells you which package this version of Scribus depends. The names for those packages are exactly the same or very similar to the ones used by Debian.

It's the same as you are suggesting, but you don't need to reverse engineer the package: all the information you need is on the website where you download the package :-)